<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class OtpServer extends Model
{
    protected $fillable = ['server_name', 'server_code', 'provider_server_id', 'api_id', 'status'];

    public function apiDetail(): BelongsTo
    {
        return $this->belongsTo(ApiDetail::class, 'api_id');
    }
}